## org.codehaus.groovy.ast.expr
Class EmptyExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.EmptyExpression

    public class EmptyExpression

extends Expression

This class is a place holder for an empty expression. Empty expression are used in closures lists like (;). During class Generation this expression should be either ignored or reaplce with a null value.

Author:
  Jochen Theodorou
See Also:
  `EmptyStatement`

Field Summary
`static EmptyExpression` `INSTANCE`

Constructor Summary
`EmptyExpression()`

Method Summary
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EmptyExpression INSTANCE

Constructor Detail

### EmptyExpression

    public EmptyExpression()

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

Copyright © 2003-2008 The Codehaus. All rights reserved.